Package org.apache.sysds.runtime.util

# Class DoubleBufferingOutputStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
org.apache.sysds.runtime.util.DoubleBufferingOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class DoubleBufferingOutputStream extends FilterOutputStream

## Constructor Summary

Constructors
Constructor
Description
`DoubleBufferingOutputStream(OutputStream out)`
`DoubleBufferingOutputStream(OutputStream out, int num, int size)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`void`
`write(byte[] b, int off, int len)`
`void`
`write(int b)`

### Methods inherited from class java.io.FilterOutputStream

`write`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DoubleBufferingOutputStream

public DoubleBufferingOutputStream(OutputStream out)

### DoubleBufferingOutputStream

public DoubleBufferingOutputStream(OutputStream out, int num, int size)

## Method Details

### write

public void write(int b) throws IOException

Overrides:
  `write` in class `FilterOutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b, int off, int len) throws IOException

Overrides:
  `write` in class `FilterOutputStream`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `FilterOutputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `FilterOutputStream`
Throws:
  `IOException`